#Module-Specific definitions
%define mod_version 0.1
%define snap 20040523
%define mod_name mod_ngobjweb
%define mod_conf A23_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

%define apache_version 2.0.53

# Standard Module Definitions
%define name apache2-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	Mod_ngobjweb is a DSO module for the apache2 Web server
Name:		%{name}
Version:	%{version}
Release:	%mkrel 0.%{snap}.4
Group:		System/Servers
License:	GPL
URL:		http://www.opengroupware.org/
Source0:	opengroupware.org-%{mod_name}-%{snap}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_ngobjweb-sanityfix.diff.bz2
Prereq:		rpm-helper
Prereq:		apache2 >= %{apache_version}
Prereq:		apache2-conf
BuildRequires:	apache2-devel >= %{apache_version}-1mdk
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is an Apache module for forwarding HTTP requests to SOPE
application server instances. It has the ability to ask the snsd
load balancer to  distribute requests between processes and/or
hosts.

%prep

%setup -q -n opengroupware.org-%{mod_name}
%patch0 -p0

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build 
cp `apr-config --includedir`/* .
cp `apu-config --includedir`/* .
 
%make APXS="%{_sbindir}/apxs2"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# fix advx compat
mkdir -p .libs; mv %{mod_so} .libs/

install -d %{buildroot}%{_libdir}/apache2-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache2-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/conf.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog COPYRIGHT skyrix.conf httpd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache2-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-0.20040523.4mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-0.20040523.3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-0.20040523.2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1-0.20040523.1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.1-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_0.1-1mdk
- built for apache 2.0.51

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.1-0.20040523.2mdk
- remove redundant provides

* Sun Jul 04 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.50_0.1-0.20040523.1mdk
- update apache2

* Fri Jun 11 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.49_0.8-0.20040523.1mdk
- rebuild for new apache2
- use ap*-config --includedir to get headers

* Tue May 25 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.6-0.20040523.1mdk
- 20040523

* Fri Feb 13 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.5-0.20040204.1mdk
- 20040204

* Mon Dec 22 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.5-0.20031201.6mdk
- update apache2

* Mon Dec 22 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.5mdk
- remove restricting files (hopefully)

* Thu Dec 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.4mdk
- rebuild yet again

* Wed Dec 17 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.3mdk
- correct requires

* Tue Dec 16 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.2mdk
- rebuild

* Mon Dec 15 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.4-0.20031201.1mdk
- rebuild for proper gstep-make
- updated  apache2

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.srk.com> 2.0.48_0.2-0.20031201.1mdk
- new snapshot - bugfixes

* Tue Nov 4 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.48_0.2-0.20031001.1mdk
- update for new apache2

* Wed Oct 29 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.47_0.1-0.20031001.2mdk
- add ZideStore and Evolution handling

* Tue Oct 07 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.47_0.1-0.20031001.1mdk
- update to match 20031001 opengroupware snapshot
- correct module name in config file
- copy module to internal directories
- many thx Oden

* Sun Oct 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.1-0.20030814.1mdk
- initial cooker contrib
- used spec file stuff from the 1.3.28 version
- added P0

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 20030716-2mdk
- rebuild with apache 1.3.28

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 20030716-1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile
